# Retrieve SKU details

Use the **getSkuDetails** method to retrieve SKU details based on its ID.

## Request parameters

<table><thead><tr><th width="126">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>skuCode</code></td><td><strong>Required (string)</strong><br>Unique identifier of the SKU.</td></tr></tbody></table>

### Request sample

```php
<?php
require ('PATH_TO_AUTH');

$sku = 'YOUR_SKU_CODE';

try {
    $getSkuDetails = $client->getSkuDetails($sessionID, $sku);
} catch (SoapFault $e) {
    echo  $e->getMessage();
}
var_dump($getSkuDetails);
```

### Response sample

```json
{
  "PricingConfigurationCode":"{PricingConfigurationCode}",
  "ProductCode":"{ProductCode}",
  "Currency":"{Currency}",
  "PriceOptions":[{PriceOption1},{PriceOption2}],
  "PurchaseType":"{PurchaseType}",
  "FromQuantity":"{FromQuantity}",
  "ToQuantity":"{ToQuantity}"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/pricing-configuration/retrieve-sku-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
